/********** Template CSS **********/
:root {
    --primary: #F3BD00;
    --secondary: #757575;
    --light: #F3F6F8;
    --dark: #0C2B4B;
}

.py-6 {
    padding-top: 6rem;
    padding-bottom: 6rem;
}

.my-6 {
    margin-top: 6rem;
    margin-bottom: 6rem;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 30px;
    bottom: 30px;
    z-index: 99;
}
/**scroll bar start**/
.marquee-container {
  width: 100%;
  height: 60px;
  overflow: hidden;
  background-color: #a12c2f;
  border-top: 0.5px solid lightgray;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
  display: flex;
  position: relative;
}

.marquee-fade {
  width: 20%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.marquee-fade img {
  height: 50px;
  width:100px;
  box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.5);
  opacity: 0; /* Initially, set the opacity to 0 */
  position: absolute;
  transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out, box-shadow 0.5s ease-in-out;
}
.marquee-text {
  width: 65%;
  height: 100%;
  white-space: nowrap;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

.marquee-text a {
  color: #fff;
  font-size: 18px;
  text-decoration: none;
  margin: 0 15px; /* Adjust spacing as needed */
  transition: transform 0.3s, color 0.3s;
}

.marquee-text a:hover {
  transform: scale(1.1); /* Make text links larger on hover */
  color: #ffcc00; /* Change the text color on hover */
}
@media (max-width: 768px) {
 
  .marquee-text a {
    font-size: 18px; /* Adjust the font size as needed */
  }

  
  .marquee-fade img {
    width: 80px; /* Adjust the width as needed */
    height: 50px; /* Maintain aspect ratio */
  }
}
/**scroll bar end**/
/*** celebrations note ***/
#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(211, 211, 211, 0.5); /* Light gray with low opacity */
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
  opacity: 0;
  pointer-events: none;
  backface-visibility: hidden;
}

    
    #overlay.active {
  opacity: 1;
  pointer-events: auto;
  transition: opacity 0.5s;
}

    
    #overlay img {
  max-width: 80%;
  max-height: 80%;
  filter: blur(20px);
  animation: image-appear 1s forwards, celebration 2s;
  animation-timing-function: ease-in-out;
  border-radius: 20px;
  box-shadow: 0 0 20px 10px rgba(0, 0, 0, 0.5);
}

    
@keyframes image-appear {
  0% {
    filter: blur(40px);
    opacity: 0;
  }
  10% {
    filter: blur(35px);
    opacity: 0.3;
  }
  20% {
    filter: blur(30px);
    opacity: 0.5;
  }
  90% {
    filter: blur(5px);
    opacity: 0.9;
  }
  100% {
    filter: blur(0);
    opacity: 1;
  }
}

    
    #close-button {
      position: absolute;
      top: 10px;
      right: 10px;
      cursor: pointer;
      color: black;
      font-size: 50px;
    }
    
    @keyframes celebration {
      0% {
        transform: scale(0.1);
      }
      70% {
        transform: scale(1.1);
      }
      100% {
        transform: scale(1);
      }
    }
    
    .fireworks {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  pointer-events: none;
  background: url('../images/6ob.gif') repeat center center;
}

    
    @keyframes fireworks {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 1;
  }
  75% {
    opacity: 1;
  }
  100% {
    opacity: 0;
 }
}



/*** Button ***/
.btn {
    font-weight: 500;
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-outline-primary:hover {
    color: #FFFFFF;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/

.navbar.sticky-top {
    top: -100px;
    transition: .5s;
}
.navbar.fixed-top {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1030;
}

.navbar .navbar-brand,
.navbar a.btn {
  height:80px
}

.navbar .navbar-nav .nav-link {
    margin-right: 15px;
    padding: 25px 0;
    color: whitesmoke;
    font-weight: 500;
    text-transform: uppercase;
    outline: none;
    white-space: nowrap;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

@media (max-width: 991.98px) {
    .navbar .navbar-nav .nav-link  {
        margin-right: 0;
        padding: 10px 0;
    }

    .navbar .navbar-nav {
        border-top: 1px solid #EEEEEE;
        flex-wrap: wrap;
        justify-content: center;
    }

    .navbar .nav-item {
        flex-basis: 50%;
    }
    
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}


/*** Header ***/
 .carousel-item img {
    height: 600px; /* Adjust the height as needed */
}
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background: linear-gradient(to right, rgba(0, 0, 255, 0.5), rgba(255, 255, 0, 0.5));
    z-index: 1;
}

.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
    background-color: var(--primary);
    border: 10px solid var(--primary);
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 250px;
    }
    
    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 250px;
    }
}
@media (max-width: 768px) {
    #header-carousel .carousel-item .display-2 {
        font-size: 2rem; /* Update the font size to your desired value */
    }
}


.breadcrumb-item+.breadcrumb-item::before {
    color: #999999;
}




/*** Facts ***/
@media (min-width: 991.98px) {
    .facts {
        position: relative;
        margin-top: -75px;
        z-index: 1;
    }
}


/*** Courses ***/
.courses {
    min-height: 100vh;
    background: linear-gradient(to right, rgba(0, 0, 255, 0.5), rgba(255, 255, 0, 0.5)), url(../images/ideal.jpg) center center no-repeat;
    background-attachment: fixed;
    background-size: cover;
    border-radius: 20px;
}
.courses-item{
    border-radius: 20px;
}
.courses-item .courses-overlay {
    position: absolute;
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, .5);
    overflow: hidden;
    opacity: 0;
    transition: .5s;
    border-radius: 20px;
}

.courses-item:hover .courses-overlay {
    height: 100%;
    opacity: 1;
}
.categories {
  background-color: #fff;
  border-radius: 20px;
  padding: 20px;
  height: auto; 
  width: auto;
  overflow: hidden; 
  position: relative;
}

.categories .marquee-wrapper {
  overflow: hidden; 
  height: calc(100% - 40px); 
}

.categories h4 {
  font-size: 18px;
  font-weight: 600;
  color: #1f272b;
  margin-right: -15px;
  margin-bottom: 30px;
  padding-bottom: 20px;
  border-bottom: 1px solid #eee;
}

.categories .marquee-wrapper ul {
  padding-left: 0;
  list-style: none;
  animation: marquee-announcements 30s linear infinite;
  position: relative;
  top: 0;
  animation-play-state: running;
  scroll-behavior: smooth; 
  margin: 0;
  padding: 0;
  text-align: left;
  display: flex;
  flex-direction: column-reverse;
}

.categories .marquee-wrapper ul li {
    margin-bottom: 15px;
    list-style: none;
    position: relative;
    padding-left: 20px; /* Add left padding for bullet points */
}
.categories .marquee-wrapper ul li::before {
    content: '\2022'; /* Bullet point Unicode character */
    position: absolute;
    left: 0;
    color: #1f272b; /* Bullet point color */
}

.categories .marquee-wrapper ul li a {
  font-size: 15px;
  color: #1f272b;
  font-weight: 500;
  transition: all 0.3s;
}

.categories .marquee-wrapper ul li a:hover {
  color: #a12c2f;
}

@keyframes marquee-announcements {
    0% {
        transform: translateY(100%);
    }
    100% {
        transform: translateY(calc(-100% + 6em)); 
    }
}



/*companies*/
#patnar-logo {
  position: relative;
  overflow: hidden;
}

.patnar-slied {
  display: flex;
  flex-wrap: nowrap;
  animation: slide 10s linear infinite;
}

.singel-patnar {
  flex: 0 0 20%;
  max-width: 20%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.singel-patnar img {
  max-width: 100%;
  height: 100%;
  object-fit: cover; /* Added object-fit property */
}

@keyframes slide {
  0% {
    transform: translateX(0);
  }
  20% {
    transform: translateX(-100%);
  }
  40% {
    transform: translateX(-200%);
  }
  60% {
    transform: translateX(-300%);
  }
  80% {
    transform: translateX(-400%);
  }
  100% {
    transform: translateX(-500%);
  }
}

/* Media Queries */

@media (max-width: 768px) {
  .singel-patnar {
    flex-basis: 33.33%;
    max-width: 33.33%;
  }
}

@media (max-width: 576px) {
  .singel-patnar {
    flex-basis: 50%;
    max-width: 50%;
  }
}

@media (max-width: 480px) {
  .singel-patnar {
    flex-basis: 100%;
    max-width: 100%;
  }
}



/*** Team ***/
.team-items {
    margin: -.75rem;
}

.team-item {
    padding: .75rem;
}

.team-item::after {
    position: absolute;
    content: "";
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    background: #FFFFFF;
    transition: .5s;
    z-index: -1;
}

.team-item:hover::after {
    height: 100%;
    background: var(--primary);
}

.team-item .team-social {
    position: absolute;
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0, 0, 0, .75);
    overflow: hidden;
    opacity: 0;
    transition: .5s;
}

.team-item:hover .team-social {
    height: 100%;
    opacity: 1;
}


/*** Testimonial ***/
.testimonial-carousel .owl-dots {
    height: 40px;
    margin-top: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 20px;
    height: 20px;
    background: transparent;
    border: 2px solid var(--primary);
    transition: .5s;
}

.testimonial-carousel .owl-dot.active {
    width: 40px;
    height: 40px;
    background: var(--primary);
}

.testimonial-carousel .owl-item img {
    width: 150px;
    height: 150px;
}


/*** Footer ***/
.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: var(--light);
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: var(--light);
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--primary);
    letter-spacing: 1px;
    box-shadow: none;
}

.copyright {
    background: #092139;
}

.copyright a {
    color: var(--primary);
}

.copyright a:hover {
    color: var(--light);
}
section.our-facts {
  background: linear-gradient(to right, rgba(0, 0, 255, 0.5), rgba(255, 255, 0, 0.5)), url(../images/ideal.jpg) center center no-repeat;
  background-position: center center;
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 140px 0px 125px 0px;
  border-radius: 20px;
}

section.our-facts h2 {
  font-size: 38px;
  color: #fff;
  line-height: 50px;
  font-weight: 700;
  letter-spacing: 0.5px;
  margin-bottom: 50px;
}

.count-area-content {
  text-align: center;
  background-color: rgba(250,250,250,0.50);
  border-radius: 20px;
  padding: 25px 30px 35px 30px;
  margin: 15px 0px;
}

.percentage .count-digit:after {
  content: '%';
  margin-left: 3px;
}

.count-digit {
    margin: 5px 0px;
    color: #a12c2f;
    font-weight: 700;
    font-size: 36px;
    animation: counting 2s ease-out;
}
.count-title {
    font-size: 18px;
    font-weight: 500;
    color: #fff;
    letter-spacing: 0.5px;
}

.new-students {
  margin-top: 45px;
}

section.our-facts .video {
  text-align: center;
  background-image: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5)), url(../images/ideal_logo.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  border-radius: 20px;
}


section.our-facts .video img {
  padding: 170px 0px;
  max-width: 56px;
}

@keyframes counting {
            from {
                opacity: 0;
                transform: translateY(-50px);
            }
            to {
                opacity: 1;
                transform: translateY(0);
            }
        }